View KYC Form By Id
Retrieve a KYC form, including all sections,questions and options
curl --request GET \
--url https://app.api.getdal.sa/services/crm/kyc-flows/{flowId}/forms/{formId} \
--header 'x-api-key: <api-key>' \
--header 'x-tenant: <x-tenant>'import requests
url = "https://app.api.getdal.sa/services/crm/kyc-flows/{flowId}/forms/{formId}"
headers = {
"x-tenant": "<x-tenant>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-tenant': '<x-tenant>', 'x-api-key': '<api-key>'}};
fetch('https://app.api.getdal.sa/services/crm/kyc-flows/{flowId}/forms/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"type": "Kyc",
"nameEn": "Risk Assessment",
"nameAr": "تقييم المخاطر",
"requestType": "DisclosureAndBlocking",
"source": "Nafith",
"status": "Published",
"submissions": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"submittedAt": "2023-11-07T05:31:56Z",
"attempt": 123,
"suitabilityScore": {},
"suitabilitySucceeded": {},
"enabledQuestions": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "What is your employment status?",
"nameAr": "ما هو وضعك الوظيفي؟",
"labelEn": "Please select your employment status",
"labelAr": "يرجى اختيار وضعك الوظيفي",
"required": true,
"type": "ShortText",
"allowMultiple": false,
"additionalInfoType": "ShortText",
"category": "Nationality",
"unit": "Currency",
"answerSource": "Dal",
"kycFlowId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"sortOrder": 1,
"subweights": 50,
"options": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Option A",
"nameAr": "الخيار أ",
"sortOrder": 0,
"additionalInfoEnabled": false,
"min": 1000,
"max": 1000000,
"scores": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"override": false,
"riskLevel": "Low",
"modifiedByUser": true,
"syncedRiskAt": "2024-01-01T00:00:00.000Z",
"blocking": false,
"suitabilityScore": 8,
"countryRisk": {
"score": 42.5,
"corruptionScore": 35,
"financialCrimeScore": 50,
"geopoliticalScore": 40,
"regulationScore": 45,
"grade": "Medium"
}
}
]
}
],
"answer": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"openAnswer": "I prefer Option A",
"attachments": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"name": "logo.png",
"mimeType": "image/png",
"size": "1436",
"createdBy": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"email": "<string>",
"displayName": "<string>",
"roleId": "<string>"
}
}
],
"questionId": "e085b776-fb4f-4454-b679-e8b14ba52e97",
"answerToOptions": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"option": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Option A",
"nameAr": "الخيار أ",
"sortOrder": 0,
"additionalInfoEnabled": false,
"min": 1000,
"max": 1000000,
"scores": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"override": false,
"riskLevel": "Low",
"modifiedByUser": true,
"syncedRiskAt": "2024-01-01T00:00:00.000Z",
"blocking": false,
"suitabilityScore": 8,
"countryRisk": {
"score": 42.5,
"corruptionScore": 35,
"financialCrimeScore": 50,
"geopoliticalScore": 40,
"regulationScore": 45,
"grade": "Medium"
}
}
]
},
"additionalInfo": "12.5"
}
],
"multipleChoiceAnswers": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Option A",
"nameAr": "الخيار أ",
"sortOrder": 0,
"additionalInfoEnabled": false,
"min": 1000,
"max": 1000000,
"scores": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"override": false,
"riskLevel": "Low",
"modifiedByUser": true,
"syncedRiskAt": "2024-01-01T00:00:00.000Z",
"blocking": false,
"suitabilityScore": 8,
"countryRisk": {
"score": 42.5,
"corruptionScore": 35,
"financialCrimeScore": 50,
"geopoliticalScore": 40,
"regulationScore": 45,
"grade": "Medium"
}
}
]
}
]
},
"sections": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Personal Information",
"nameAr": "المعلومات الشخصية",
"sortOrder": 1,
"formId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"form": "<unknown>",
"weights": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"value": 10
}
],
"questions": "<array>"
}
]
}
],
"answers": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"openAnswer": "I prefer Option A",
"attachments": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"name": "logo.png",
"mimeType": "image/png",
"size": "1436",
"createdBy": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"email": "<string>",
"displayName": "<string>",
"roleId": "<string>"
}
}
],
"questionId": "e085b776-fb4f-4454-b679-e8b14ba52e97",
"answerToOptions": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"option": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Option A",
"nameAr": "الخيار أ",
"sortOrder": 0,
"additionalInfoEnabled": false,
"min": 1000,
"max": 1000000,
"scores": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"override": false,
"riskLevel": "Low",
"modifiedByUser": true,
"syncedRiskAt": "2024-01-01T00:00:00.000Z",
"blocking": false,
"suitabilityScore": 8,
"countryRisk": {
"score": 42.5,
"corruptionScore": 35,
"financialCrimeScore": 50,
"geopoliticalScore": 40,
"regulationScore": 45,
"grade": "Medium"
}
}
]
},
"additionalInfo": "12.5"
}
],
"multipleChoiceAnswers": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Option A",
"nameAr": "الخيار أ",
"sortOrder": 0,
"additionalInfoEnabled": false,
"min": 1000,
"max": 1000000,
"scores": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"override": false,
"riskLevel": "Low",
"modifiedByUser": true,
"syncedRiskAt": "2024-01-01T00:00:00.000Z",
"blocking": false,
"suitabilityScore": 8,
"countryRisk": {
"score": 42.5,
"corruptionScore": 35,
"financialCrimeScore": 50,
"geopoliticalScore": 40,
"regulationScore": 45,
"grade": "Medium"
}
}
]
}
]
}
]
}
],
"kycReviews": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"status": "Approved",
"type": "First",
"comment": {},
"kycScoreId": "<string>",
"formId": "<string>",
"userId": "<string>",
"user": {
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"email": "<string>",
"displayName": "<string>",
"roleId": "<string>"
}
}
],
"sections": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"nameEn": "Personal Information",
"nameAr": "المعلومات الشخصية",
"sortOrder": 1,
"formId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"form": "<unknown>",
"weights": [
{
"id": "b50c7893-cd88-42bd-9fdd-b94f493315f9",
"createdAt": "2025-12-02 12:00:00.000",
"updatedAt": "2025-12-04 12:00:00.000",
"classification": "Retail",
"value": 10
}
],
"questions": "<array>"
}
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
},
"validationErrors": [
"<string>"
]
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}{
"errorCode": "NOT_FOUND",
"message": {
"en": "The requested record was not found",
"ar": "لم يتم العثور على السجل المطلوب"
}
}Authorizations
Headers
Tenant identifier
Query Parameters
Response
Success
Dal's database Id
"b50c7893-cd88-42bd-9fdd-b94f493315f9"
Create timestamp
"2025-12-02 12:00:00.000"
Update timestamp
"2025-12-04 12:00:00.000"
Type of the form
Case, Kyc, QualifiedInvestor, RiskAssessment, Suitability, Edd, AdditionalInformation "Kyc"
English name of the form
"Risk Assessment"
Arabic name of the form
"تقييم المخاطر"
Type of request associated with case forms
Unblocking, DisclosureAndBlocking, Disclosure, TransferRequest, TemporaryBlockingAndDisclosure, null "DisclosureAndBlocking"
Source of the watchlist associated with case form
Nafith, Makken, Custom, null "Nafith"
Current status of the form
Published, Draft, Deactivated "Published"
All submission attempts for single submitted forms like KYC, Risk, EDD as well as multiple submitted forms like Suitability and Additional Information
Show child attributes
Show child attributes
Review details of this form, if reviewed
Show child attributes
Show child attributes
Sections included in this form
Show child attributes
Show child attributes
